html {
    height: 100%;
}

body {
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    color: #ffffff;
    background-color: #000000;
    /* user-select: none; */
}

.map-container {
    position: absolute;
    bottom: 1%;
    left: 1%;
    border-radius: 5px;
}

#map {
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 20rem;
    height: 20rem;
    border-radius: 4px;
    z-index: 1000;
}

.cross {
    display: inherit;
    position: relative;
    cursor: pointer;
    color: rgb(255, 255, 255);
    z-index: 1000;
    float: right;
    font-weight: bold;
    font-size: 16px;
    padding: 10px;
}

.cross:hover {
    color: #b5e213d8;
}

table {
    display: none;
}

table div {
    display: none;
}

.upper-line-parent {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    pointer-events: none;
}

.upper-line-parent .upper-logos {
    display: flex;
    justify-content: space-between;
    pointer-events: none;
    height: 5%;
}

.aghaaz-logo {
    height: 100%;
    padding: 0.2rem;
    margin-left: 0.5%;
    pointer-events: auto;
    cursor: pointer;
}

.aghaaz-logo img {
    height: 100%;
}

.developer-logo {
    height: 150%;
    padding: 0.2rem;
    pointer-events: auto;
    cursor: pointer;
}

.developer-logo img {
    height: 100%;
}

.scene-dates {
    position: absolute;
    left: 0;
    top: 40%;
    width: 6.5rem;
}

.container {
    cursor: pointer;
    pointer-events: auto;
    display: flex;
    flex-direction: column;
    margin-left: 5%;
    width: 100%;
}

.btnRow {
    display: block;
    /* flex-direction: row; */
    width: 100%;
    height: 100%;
    margin-bottom: 5%;
}

.datebtn {
    display: flex;
    background-color: white;
    margin-bottom: 0.5rem;
}

.btnRow button {
    border: none;
    padding: 8%;
    width: 100%;
    cursor: pointer;
    font-weight: bold;
    color: #ffffff;
    font-size: 0.9rem;
    background: #f58220;
}

.btnRow button:hover {
    background: #f58220;
}

.btnRow .btnActive {
    /* height: 100%; */
    width: 10px;
    background: #ffffff;
}

.leftmenu {
    position: absolute;
    bottom: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    pointer-events: none;
}

.switch {
    position: relative;
    display: inline-block;
    width: 78px;
    height: 29px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f58220;
    -webkit-transition: 0.4s;
    transition: 0.4s;
    border-radius: 14px;
    box-shadow: 0 0 0 2px rgb(0 0 0 / 10%);
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 4px;
    bottom: 4px;
    background-color: #ffffff;
    -webkit-transition: 0.4s;
    transition: 0.4s;
    border-radius: 10px;
}

input:checked+.slider {
    background-color: #f58220;
    /* background-color: #222222; */
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196f3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(50px);
    -ms-transform: translateX(50px);
    transform: translateX(50px);
}

/*------ ADDED CSS ---------*/
.on {
    display: none;
}

.on,
.off {
    color: white;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 45%;
    left: 65%;
    font-size: 0.9rem;
    text-align: center;
}

input:checked+.slider .on {
    display: block;
    left: 35%;
}

input:checked+.slider .off {
    display: none;
}

/*--------- END --------*/

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.controls {
    display: block;
    pointer-events: auto;
    box-shadow: 0 0 0 2px rgb(0 0 0 / 10%);
    background-color: white;
    border-radius: 4px;
    width: 29px;
    align-self: flex-end;
}

.autoTour {
    width: 100%;
    height: 29px;
    display: block;
    padding: 0;
    outline: none;
    border: 0;
    box-sizing: border-box;
    background-color: #f58220;
    cursor: pointer;
    padding: 2px;
    border-bottom: rgb(221, 221, 221) 1px solid;
    border-radius: 4px 4px 0 0;
}

.autoTour img {
    width: 100%;
    height: 100%;
}

.autoTour:hover {
    background-color: #f58220;
    border-radius: 4px 4px 0 0;
}

.fullScreen {
    width: 100%;
    height: 29px;
    display: block;
    padding: 0;
    outline: none;
    border: 0;
    box-sizing: border-box;
    background-color: #18a100;
    cursor: pointer;
    fill: black;
    /* padding: px; */
    border-bottom: rgb(221, 221, 221) 1px solid;
}

.fullScreen img {
    width: 100%;
    height: 100%;
}

.fullScreen:hover {
    background-color: #18a100;
}

.zoomIn {
    width: 100%;
    height: 29px;
    display: block;
    padding: 0;
    outline: none;
    border: 0;
    box-sizing: border-box;
    background-color: #f58220;
    cursor: pointer;
    border-bottom: #dddddd 1px solid;
}

.zoomIn:hover {
    background-color: #f58220;
}

.zoomIn img {
    height: 100%;
    width: 100%;
}

.zoomOut {
    width: 100%;
    height: 29px;
    display: block;
    padding: 0;
    outline: none;
    border: 0;
    box-sizing: border-box;
    background-color: #f58220;
    cursor: pointer;
    border-radius: 0 0 4px 4px;
}

.zoomOut:hover {
    background-color: #f58220;
}

.zoomOut img {
    height: 100%;
    width: 100%;
}

.zameen_studios {
    height: 1.5rem;
    width: 100%;
}

.zs {
    height: 100%;
    pointer-events: auto;
    cursor: pointer;
    right: 0;
    float: right;
}

.zs img {
    height: 100%;
    /* width: 100%; */
}

.futuretoggle {
    width: min-content;
    pointer-events: auto;
    align-self: flex-end;
    margin-bottom: 0.5rem;
}